#include <iostream>
#include <string>
using namespace std;

int main()
{
    string s;
    cin>>s;
    int br=0,maks=0;
    for(int i=0;i<s.size();i++)
    {
        br=0;
        for(int j=i+1;j<s.size();j++)
        {
            if(s[j]==s[i] && abs(j-i-1)%2==0)
            {
                br++;
            }
        }
        if(maks<br) maks=br;
    }
    cout<<maks;
    return 0;
}